https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/profile/imageRetrieves the user profile picture for the specified user. The `userId` path parameter must match the authenticated user's user ID, and the user must be a member of the specified account. | Return value | Meaning | | :---------------- | :----------------------------------------------------------------------------- | | `200 OK` | The response contains the profile image in the same format as it was uploaded. | | `404 Not found` | The user does not have a profile image. | | `400 Bad request` | There was an error in the request. The response has more information. |
The external account number (int) or account ID GUID.
The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
Reserved for Docusign.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/profile/image' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/profile/imageRetrieves the user profile picture for the specified user. The `userId` path parameter must match the authenticated user's user ID, and the user must be a member of the specified account. | Return value | Meaning | | :---------------- | :----------------------------------------------------------------------------- | | `200 OK` | The response contains the profile image in the same format as it was uploaded. | | `404 Not found` | The user does not have a profile image. | | `400 Bad request` | There was an error in the request. The response has more information. |
The external account number (int) or account ID GUID.
The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
Reserved for Docusign.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/profile/image' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}